PUT api/Shops

Request Information

URI Parameters

None.

Body Parameters

ShopDto
NameDescriptionTypeAdditional information
Id

globally unique identifier

None.

Created

date

None.

Updated

date

None.

Name

string

None.

ShopUrl

string

None.

ContactEmail

string

None.

CustomerServiceEmail

string

None.

OrderEmail

string

None.

CampaignEmail

string

None.

AdminEmail

string

None.

CustomerServiceTelephone

string

None.

Address

string

None.

Countries

Collection of EntityDto

None.

Labels

Collection of LabelDto

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "bb3b36b5-31fd-4af7-a3e7-356899302331",
  "created": "2026-04-07T14:29:49.5452808+02:00",
  "updated": "2026-04-07T14:29:49.5452808+02:00",
  "name": "sample string 1",
  "shopUrl": "sample string 2",
  "contactEmail": "sample string 3",
  "customerServiceEmail": "sample string 4",
  "orderEmail": "sample string 5",
  "campaignEmail": "sample string 6",
  "adminEmail": "sample string 7",
  "customerServiceTelephone": "sample string 8",
  "address": "sample string 9",
  "countries": [
    {
      "id": "c1947699-e93a-46d2-93c1-8abd3736006b",
      "name": "sample string 2",
      "type": "sample string 3"
    },
    {
      "id": "c1947699-e93a-46d2-93c1-8abd3736006b",
      "name": "sample string 2",
      "type": "sample string 3"
    }
  ],
  "labels": [
    {
      "id": "2bdb136b-1ba4-49ee-ada7-64188777e868",
      "name": "sample string 1",
      "value": "sample string 2",
      "isReadonly": true,
      "created": "2026-04-07T14:29:49.5452808+02:00",
      "updated": "2026-04-07T14:29:49.5452808+02:00"
    },
    {
      "id": "2bdb136b-1ba4-49ee-ada7-64188777e868",
      "name": "sample string 1",
      "value": "sample string 2",
      "isReadonly": true,
      "created": "2026-04-07T14:29:49.5452808+02:00",
      "updated": "2026-04-07T14:29:49.5452808+02:00"
    }
  ]
}

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.